package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_mer_settle_acct_apply
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsMerSettleAcctApply implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 申请编号
     */
    private String applyNo;

    /**
     * 申请类型  1：修改结算
     */
    private Integer applyType;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户名称
     */
    private String merName;

    /**
     * 结算类型 1：对公结算  2：对私法人结算  3：对私非法人结算
     */
    private Integer settleType;

    /**
     * 委托书
     */
    private String commissionImg;

    /**
     * 银行卡照片
     */
    private String bankCardImg;

    /**
     * 银行名称
     */
    private String bankName;

    /**
     * 银行卡号
     */
    private String bankCardNo;

    /**
     * 银行卡持有人
     */
    private String bankCardHolder;

    /**
     * 开户行市级编码
     */
    private Long openningBankCityCode;

    /**
     * 开户行市级名称
     */
    private String openningBankCityName;

    /**
     * 开会行区级编码
     */
    private Long openningBankAreaCode;

    /**
     * 开户行区级名称
     */
    private String openningBankAreaName;

    /**
     * 开户行省级编码
     */
    private Long openningBankProvinceCode;

    /**
     * 开户行省级名称
     */
    private String openningBankProvinceName;

    /**
     * 开户行号
     */
    private String openningBankCode;

    /**
     * 开户行名称
     */
    private String openningBankName;

    /**
     * 开户许可证照片
     */
    private String openningBankLicenseUrl;

    /**
     * 账户清算行号
     */
    private String clearingBankCode;

    /**
     * 结算人身份证姓名
     */
    private String settleIdCardName;

    /**
     * 结算人身份证号
     */
    private String settleIdCardNo;

    /**
     * 结算人身份证住址
     */
    private String settleIdCardAddress;

    /**
     * 结算人身份证人像面图片
     */
    private String settleIdCardPortraitImg;

    /**
     * 结算人身份证国徽面图片
     */
    private String settleIdCardNationalEmblemImg;

    /**
     * 结算人身份证有效期类型  1：有效期   2：长期
     */
    private Integer settleIdPeriodType;

    /**
     * 结算人身份证有效期开始时间
     */
    private String settleIdCardPeriodStart;

    /**
     * 结算人身份证有效期结束时间
     */
    private String settleIdCardPeriodEnd;

    /**
     * 电子协议
     */
    private String electronicPact;

    /**
     * 状态 0：删除  1：待提交  2：审核中   3：通过   4：驳回
     */
    private Integer status;

    /**
     * 驳回原因
     */
    private String rejectReason;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getApplyNo() {
        return applyNo;
    }

    public void setApplyNo(String applyNo) {
        this.applyNo = applyNo;
    }

    public Integer getApplyType() {
        return applyType;
    }

    public void setApplyType(Integer applyType) {
        this.applyType = applyType;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getMerName() {
        return merName;
    }

    public void setMerName(String merName) {
        this.merName = merName;
    }

    public Integer getSettleType() {
        return settleType;
    }

    public void setSettleType(Integer settleType) {
        this.settleType = settleType;
    }

    public String getCommissionImg() {
        return commissionImg;
    }

    public void setCommissionImg(String commissionImg) {
        this.commissionImg = commissionImg;
    }

    public String getBankCardImg() {
        return bankCardImg;
    }

    public void setBankCardImg(String bankCardImg) {
        this.bankCardImg = bankCardImg;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankCardNo() {
        return bankCardNo;
    }

    public void setBankCardNo(String bankCardNo) {
        this.bankCardNo = bankCardNo;
    }

    public String getBankCardHolder() {
        return bankCardHolder;
    }

    public void setBankCardHolder(String bankCardHolder) {
        this.bankCardHolder = bankCardHolder;
    }

    public Long getOpenningBankCityCode() {
        return openningBankCityCode;
    }

    public void setOpenningBankCityCode(Long openningBankCityCode) {
        this.openningBankCityCode = openningBankCityCode;
    }

    public String getOpenningBankCityName() {
        return openningBankCityName;
    }

    public void setOpenningBankCityName(String openningBankCityName) {
        this.openningBankCityName = openningBankCityName;
    }

    public Long getOpenningBankAreaCode() {
        return openningBankAreaCode;
    }

    public void setOpenningBankAreaCode(Long openningBankAreaCode) {
        this.openningBankAreaCode = openningBankAreaCode;
    }

    public String getOpenningBankAreaName() {
        return openningBankAreaName;
    }

    public void setOpenningBankAreaName(String openningBankAreaName) {
        this.openningBankAreaName = openningBankAreaName;
    }

    public Long getOpenningBankProvinceCode() {
        return openningBankProvinceCode;
    }

    public void setOpenningBankProvinceCode(Long openningBankProvinceCode) {
        this.openningBankProvinceCode = openningBankProvinceCode;
    }

    public String getOpenningBankProvinceName() {
        return openningBankProvinceName;
    }

    public void setOpenningBankProvinceName(String openningBankProvinceName) {
        this.openningBankProvinceName = openningBankProvinceName;
    }

    public String getOpenningBankCode() {
        return openningBankCode;
    }

    public void setOpenningBankCode(String openningBankCode) {
        this.openningBankCode = openningBankCode;
    }

    public String getOpenningBankName() {
        return openningBankName;
    }

    public void setOpenningBankName(String openningBankName) {
        this.openningBankName = openningBankName;
    }

    public String getOpenningBankLicenseUrl() {
        return openningBankLicenseUrl;
    }

    public void setOpenningBankLicenseUrl(String openningBankLicenseUrl) {
        this.openningBankLicenseUrl = openningBankLicenseUrl;
    }

    public String getClearingBankCode() {
        return clearingBankCode;
    }

    public void setClearingBankCode(String clearingBankCode) {
        this.clearingBankCode = clearingBankCode;
    }

    public String getSettleIdCardName() {
        return settleIdCardName;
    }

    public void setSettleIdCardName(String settleIdCardName) {
        this.settleIdCardName = settleIdCardName;
    }

    public String getSettleIdCardNo() {
        return settleIdCardNo;
    }

    public void setSettleIdCardNo(String settleIdCardNo) {
        this.settleIdCardNo = settleIdCardNo;
    }

    public String getSettleIdCardAddress() {
        return settleIdCardAddress;
    }

    public void setSettleIdCardAddress(String settleIdCardAddress) {
        this.settleIdCardAddress = settleIdCardAddress;
    }

    public String getSettleIdCardPortraitImg() {
        return settleIdCardPortraitImg;
    }

    public void setSettleIdCardPortraitImg(String settleIdCardPortraitImg) {
        this.settleIdCardPortraitImg = settleIdCardPortraitImg;
    }

    public String getSettleIdCardNationalEmblemImg() {
        return settleIdCardNationalEmblemImg;
    }

    public void setSettleIdCardNationalEmblemImg(String settleIdCardNationalEmblemImg) {
        this.settleIdCardNationalEmblemImg = settleIdCardNationalEmblemImg;
    }

    public Integer getSettleIdPeriodType() {
        return settleIdPeriodType;
    }

    public void setSettleIdPeriodType(Integer settleIdPeriodType) {
        this.settleIdPeriodType = settleIdPeriodType;
    }

    public String getSettleIdCardPeriodStart() {
        return settleIdCardPeriodStart;
    }

    public void setSettleIdCardPeriodStart(String settleIdCardPeriodStart) {
        this.settleIdCardPeriodStart = settleIdCardPeriodStart;
    }

    public String getSettleIdCardPeriodEnd() {
        return settleIdCardPeriodEnd;
    }

    public void setSettleIdCardPeriodEnd(String settleIdCardPeriodEnd) {
        this.settleIdCardPeriodEnd = settleIdCardPeriodEnd;
    }

    public String getElectronicPact() {
        return electronicPact;
    }

    public void setElectronicPact(String electronicPact) {
        this.electronicPact = electronicPact;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsMerSettleAcctApply other = (BsMerSettleAcctApply) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getApplyNo() == null ? other.getApplyNo() == null : this.getApplyNo().equals(other.getApplyNo()))
            && (this.getApplyType() == null ? other.getApplyType() == null : this.getApplyType().equals(other.getApplyType()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerName() == null ? other.getMerName() == null : this.getMerName().equals(other.getMerName()))
            && (this.getSettleType() == null ? other.getSettleType() == null : this.getSettleType().equals(other.getSettleType()))
            && (this.getCommissionImg() == null ? other.getCommissionImg() == null : this.getCommissionImg().equals(other.getCommissionImg()))
            && (this.getBankCardImg() == null ? other.getBankCardImg() == null : this.getBankCardImg().equals(other.getBankCardImg()))
            && (this.getBankName() == null ? other.getBankName() == null : this.getBankName().equals(other.getBankName()))
            && (this.getBankCardNo() == null ? other.getBankCardNo() == null : this.getBankCardNo().equals(other.getBankCardNo()))
            && (this.getBankCardHolder() == null ? other.getBankCardHolder() == null : this.getBankCardHolder().equals(other.getBankCardHolder()))
            && (this.getOpenningBankCityCode() == null ? other.getOpenningBankCityCode() == null : this.getOpenningBankCityCode().equals(other.getOpenningBankCityCode()))
            && (this.getOpenningBankCityName() == null ? other.getOpenningBankCityName() == null : this.getOpenningBankCityName().equals(other.getOpenningBankCityName()))
            && (this.getOpenningBankAreaCode() == null ? other.getOpenningBankAreaCode() == null : this.getOpenningBankAreaCode().equals(other.getOpenningBankAreaCode()))
            && (this.getOpenningBankAreaName() == null ? other.getOpenningBankAreaName() == null : this.getOpenningBankAreaName().equals(other.getOpenningBankAreaName()))
            && (this.getOpenningBankProvinceCode() == null ? other.getOpenningBankProvinceCode() == null : this.getOpenningBankProvinceCode().equals(other.getOpenningBankProvinceCode()))
            && (this.getOpenningBankProvinceName() == null ? other.getOpenningBankProvinceName() == null : this.getOpenningBankProvinceName().equals(other.getOpenningBankProvinceName()))
            && (this.getOpenningBankCode() == null ? other.getOpenningBankCode() == null : this.getOpenningBankCode().equals(other.getOpenningBankCode()))
            && (this.getOpenningBankName() == null ? other.getOpenningBankName() == null : this.getOpenningBankName().equals(other.getOpenningBankName()))
            && (this.getOpenningBankLicenseUrl() == null ? other.getOpenningBankLicenseUrl() == null : this.getOpenningBankLicenseUrl().equals(other.getOpenningBankLicenseUrl()))
            && (this.getClearingBankCode() == null ? other.getClearingBankCode() == null : this.getClearingBankCode().equals(other.getClearingBankCode()))
            && (this.getSettleIdCardName() == null ? other.getSettleIdCardName() == null : this.getSettleIdCardName().equals(other.getSettleIdCardName()))
            && (this.getSettleIdCardNo() == null ? other.getSettleIdCardNo() == null : this.getSettleIdCardNo().equals(other.getSettleIdCardNo()))
            && (this.getSettleIdCardAddress() == null ? other.getSettleIdCardAddress() == null : this.getSettleIdCardAddress().equals(other.getSettleIdCardAddress()))
            && (this.getSettleIdCardPortraitImg() == null ? other.getSettleIdCardPortraitImg() == null : this.getSettleIdCardPortraitImg().equals(other.getSettleIdCardPortraitImg()))
            && (this.getSettleIdCardNationalEmblemImg() == null ? other.getSettleIdCardNationalEmblemImg() == null : this.getSettleIdCardNationalEmblemImg().equals(other.getSettleIdCardNationalEmblemImg()))
            && (this.getSettleIdPeriodType() == null ? other.getSettleIdPeriodType() == null : this.getSettleIdPeriodType().equals(other.getSettleIdPeriodType()))
            && (this.getSettleIdCardPeriodStart() == null ? other.getSettleIdCardPeriodStart() == null : this.getSettleIdCardPeriodStart().equals(other.getSettleIdCardPeriodStart()))
            && (this.getSettleIdCardPeriodEnd() == null ? other.getSettleIdCardPeriodEnd() == null : this.getSettleIdCardPeriodEnd().equals(other.getSettleIdCardPeriodEnd()))
            && (this.getElectronicPact() == null ? other.getElectronicPact() == null : this.getElectronicPact().equals(other.getElectronicPact()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getRejectReason() == null ? other.getRejectReason() == null : this.getRejectReason().equals(other.getRejectReason()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getApplyNo() == null) ? 0 : getApplyNo().hashCode());
        result = prime * result + ((getApplyType() == null) ? 0 : getApplyType().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerName() == null) ? 0 : getMerName().hashCode());
        result = prime * result + ((getSettleType() == null) ? 0 : getSettleType().hashCode());
        result = prime * result + ((getCommissionImg() == null) ? 0 : getCommissionImg().hashCode());
        result = prime * result + ((getBankCardImg() == null) ? 0 : getBankCardImg().hashCode());
        result = prime * result + ((getBankName() == null) ? 0 : getBankName().hashCode());
        result = prime * result + ((getBankCardNo() == null) ? 0 : getBankCardNo().hashCode());
        result = prime * result + ((getBankCardHolder() == null) ? 0 : getBankCardHolder().hashCode());
        result = prime * result + ((getOpenningBankCityCode() == null) ? 0 : getOpenningBankCityCode().hashCode());
        result = prime * result + ((getOpenningBankCityName() == null) ? 0 : getOpenningBankCityName().hashCode());
        result = prime * result + ((getOpenningBankAreaCode() == null) ? 0 : getOpenningBankAreaCode().hashCode());
        result = prime * result + ((getOpenningBankAreaName() == null) ? 0 : getOpenningBankAreaName().hashCode());
        result = prime * result + ((getOpenningBankProvinceCode() == null) ? 0 : getOpenningBankProvinceCode().hashCode());
        result = prime * result + ((getOpenningBankProvinceName() == null) ? 0 : getOpenningBankProvinceName().hashCode());
        result = prime * result + ((getOpenningBankCode() == null) ? 0 : getOpenningBankCode().hashCode());
        result = prime * result + ((getOpenningBankName() == null) ? 0 : getOpenningBankName().hashCode());
        result = prime * result + ((getOpenningBankLicenseUrl() == null) ? 0 : getOpenningBankLicenseUrl().hashCode());
        result = prime * result + ((getClearingBankCode() == null) ? 0 : getClearingBankCode().hashCode());
        result = prime * result + ((getSettleIdCardName() == null) ? 0 : getSettleIdCardName().hashCode());
        result = prime * result + ((getSettleIdCardNo() == null) ? 0 : getSettleIdCardNo().hashCode());
        result = prime * result + ((getSettleIdCardAddress() == null) ? 0 : getSettleIdCardAddress().hashCode());
        result = prime * result + ((getSettleIdCardPortraitImg() == null) ? 0 : getSettleIdCardPortraitImg().hashCode());
        result = prime * result + ((getSettleIdCardNationalEmblemImg() == null) ? 0 : getSettleIdCardNationalEmblemImg().hashCode());
        result = prime * result + ((getSettleIdPeriodType() == null) ? 0 : getSettleIdPeriodType().hashCode());
        result = prime * result + ((getSettleIdCardPeriodStart() == null) ? 0 : getSettleIdCardPeriodStart().hashCode());
        result = prime * result + ((getSettleIdCardPeriodEnd() == null) ? 0 : getSettleIdCardPeriodEnd().hashCode());
        result = prime * result + ((getElectronicPact() == null) ? 0 : getElectronicPact().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getRejectReason() == null) ? 0 : getRejectReason().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", applyNo=").append(applyNo);
        sb.append(", applyType=").append(applyType);
        sb.append(", merId=").append(merId);
        sb.append(", merName=").append(merName);
        sb.append(", settleType=").append(settleType);
        sb.append(", commissionImg=").append(commissionImg);
        sb.append(", bankCardImg=").append(bankCardImg);
        sb.append(", bankName=").append(bankName);
        sb.append(", bankCardNo=").append(bankCardNo);
        sb.append(", bankCardHolder=").append(bankCardHolder);
        sb.append(", openningBankCityCode=").append(openningBankCityCode);
        sb.append(", openningBankCityName=").append(openningBankCityName);
        sb.append(", openningBankAreaCode=").append(openningBankAreaCode);
        sb.append(", openningBankAreaName=").append(openningBankAreaName);
        sb.append(", openningBankProvinceCode=").append(openningBankProvinceCode);
        sb.append(", openningBankProvinceName=").append(openningBankProvinceName);
        sb.append(", openningBankCode=").append(openningBankCode);
        sb.append(", openningBankName=").append(openningBankName);
        sb.append(", openningBankLicenseUrl=").append(openningBankLicenseUrl);
        sb.append(", clearingBankCode=").append(clearingBankCode);
        sb.append(", settleIdCardName=").append(settleIdCardName);
        sb.append(", settleIdCardNo=").append(settleIdCardNo);
        sb.append(", settleIdCardAddress=").append(settleIdCardAddress);
        sb.append(", settleIdCardPortraitImg=").append(settleIdCardPortraitImg);
        sb.append(", settleIdCardNationalEmblemImg=").append(settleIdCardNationalEmblemImg);
        sb.append(", settleIdPeriodType=").append(settleIdPeriodType);
        sb.append(", settleIdCardPeriodStart=").append(settleIdCardPeriodStart);
        sb.append(", settleIdCardPeriodEnd=").append(settleIdCardPeriodEnd);
        sb.append(", electronicPact=").append(electronicPact);
        sb.append(", status=").append(status);
        sb.append(", rejectReason=").append(rejectReason);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}